
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #808

gnomeshortcuts fix for bug 765 does not work

July 13, 2018 23:35 - Michael Schwendt

Status: Closed Start date: July 14, 2018

Priority: Minor Due date:  

Assignee:  % Done: 100%

Category: plugins/gnome shortcuts Estimated time: 0.00 hour

Target version: 3.10   

Affects version: 3.9, 3.10   

Description

In reply to:

https://github.com/audacious-media-player/audacious-plugins/commit/2002c9b2f4fa7348ab66e4dff889da25f646c813#diff-b54d10e5

a554e1f834b63a9f19d5cd43

A few months ago I've pointed out that the commit does not work with GNOME 3.26.2 (Fedora 27). It also doesn't work with GNOME

3.28.1 (Fedora 28).

https://redmine.audacious-media-player.org/boards/2/topics/2165

https://redmine.audacious-media-player.org/issues/765

As a workaround for Audacious 3.9 and GNOME >= 3.26 I went with a single-line fix as incorporated into the following patch. The top

part of that patch is for something else, avoiding dbus activation of the g-s-d daemons on non-GNOME systems:

https://src.fedoraproject.org/rpms/audacious-plugins/blob/master/f/audacious-plugins-3.9-gnomeshortcuts.patch

So, by default, Audacious 3.10-beta1 gnomeshortcuts plugin does not work yet:

(audacious:26570): WARNING **: 01:34:59.140: Could not grab media player keys: The name org.gnome.SettingsDaemon was

not provided by any .service files

WARNING plugin-init.cc:102 [start_plugin]: GNOME Shortcuts failed to start.

History

#1 - July 15, 2018 04:34 - John Lindgren

I'm guessing this breaks compatibility with GNOME < 3.26; is that true?  If so, that's okay with me, but we can strip out some of the fallback code in

that case.

I don't use any recent version of GNOME (and have zero interest in doing so) which is why I haven't followed up on this until now.  But I would be

happy to merge a patch or pull request.

#2 - July 30, 2018 15:10 - John Lindgren

- % Done changed from 0 to 100

- Status changed from New to Closed

- Category set to plugins/gnome shortcuts

Fixed:

https://github.com/audacious-media-player/audacious-plugins/commit/3dc8222f59bc8a2352fc0bac54e34a22adc6e122
